<?php

namespace Fgm\Drupal\Composer;

use Composer\Command\BaseCommand;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class BuildSettingsCommand extends BaseCommand {

  public function __construct(string $name = NULL) {
    parent::__construct($name);
    echo "Constructing " . __CLASS__ . "\n";
  }

  public function configure() {
    parent::configure();
    $this
      ->setName('build-settings')
      ->setDescription('Build the settings.local.php file from the per-environment parameters and the settings template.')
      ->setDefinition([])
      ->setHelp(<<<EOT
The build-settings command combines shared and per-environment parameters and passes them to the settings.local.php.twig template to build the settings/(build|run).settings.local.php files.

EOT
      )
    ;
  }

  public function execute(InputInterface $input, OutputInterface $output) {
    $output->write("BuildSettingsCommand Executed", true);
  }

}
